ERM Scripter
(2003.05.19)
Return to Introduction


Event Related Model
ERM means Event Related Model and is dedicated to Heroes3: Shadow of Death game and add-on.
ERM is a new technology that makes possible dynamically changing the map object's properties as a result of certain player's (including computer) actions.
It essentially offers scripting (programing) posibility. Some default script files ensure WOG enhancements as described in the latest version info, but ERM also gives the basic game user access to creating its own scripts to add his own imagination and flavor to the game.


Hot Keys
Main window
File
Ctrl + N
New document See
Ctrl + O
Open document
Ctrl + Alt + R
Reopen file
Ctrl + Alt + Q
Reopen current text document as table
Ctrl + S
Save document
Ctrl + P
Open "Print" dialogue
Alt + F4
Exit

Edit
Ctrl + Z
Undo
Ctrl + Alt + Z
Redo
Ctrl + X
Cut
Ctrl + C
Copy
Ctrl + V
Paste
Ctrl + D
Delete
Ctrl + A
Select all

Search
Ctrl + F
Fined
F3
Fined next
Ctrl + F3
Fined previous
Ctrl + R
Replace

Options
Ctrl + Alt + P
Open "Settings" dialogue See

Services
Ctrl + Alt + S
Open "Syntax Browser" window See
Ctrl + Alt + I
Open "About document" window See
Ctrl + Alt + V
Open "Analyzer" window See
Ctrl + Alt + E
Open "Edit document information" dialigue See
Ctrl + Alt + G
Open "Go to" dialogue See
Ctrl + Alt + C
Open "Clipboard manager" window See
Ctrl + Alt + Ins
Open "Select Fast Insert List" dialogue See

Tools
F7
Open "Text resource manager" tool See
F8
Open "ERM file converter" tool See
F9
Run "Check Syntax" procedure See
Ctrl + Alt + T
Open "Tools setup" dialogue See
Shift + [F1...F12]
This is reserved hot keys for custom tools See

Other
Ctrl+F1
"ERM Scripter" help
F1
ERM help; Select text fragment and <F1> key press - context ERM help
F5
ERM help (HTML)

Edit window See
Text editor See
Shift + Ctrl + N
Selection mode: Normal
Shift + Ctrl + C
Selection mode: Columns
Shift + Ctrl + L
Selection mode: Lines
Ctrl + LeftArrow
Cursor moving: right to left by words
Ctrl + RightArrow
Cursor moving: left to right by words
Shift + LeftArrow
Standart selection
Shift + RightArrow
Standart selection
Shift + Up
Standart selection
Shift + Down
Standart selection
Shift + Ctrl + Left
Selection: right to left by words
Shift + Ctrl + Right
Selection: left to right by words
End
Go to last symbol of current line
Home
Go to first sybol of current line
Shift + End
Selection: from current position to last symbol of line
Shift + Home
Selection: from current position to first sybol of line
Shift + PageUp
Selection: select page from current position to Up
Shift + PageDown
Selection: select page from current position to Down
Ctrl + Del
Delete current line
Ins
"Fast Insert List" service See
Shift + Enter
Go to ERT index
Ctrl + Space
"Code completion" service See
Shift + Ctrl + T
Open "Add tag" dialogue See
Shift + Ctrl + D
Open "Add declaration" dialogue See
Shift + Ctrl + F
Refresh tags and declarations lists See

Table editor: Common See
Shift + Ctrl + UpArrow
Decrease fixed rows count
Shift + Ctrl + DownArrow
Increase fixed rows count
Shift + Ctrl + LeftArrow
Decrease columns count
Shift + Ctrl + RightArrow
Increase fixed columns count
Ctrl + Alt + RightArrow
Increase columns count
Ctrl + Alt + LeftArrow
Decrease columns count
Ctrl + Alt + DownArrow
Increase rows count
Ctrl + Alt + UpArrow
Decrease rows count
Ctrl + Alt + F1
Copy current string
Ctrl + Alt + F2
Paste string
Shift + Ctrl + F1
Copy current column
Shift + Ctrl + F2
Paste column
Ctrl + Alt + F3
Clear current string
Shift + Ctrl + F3
Clear current column
Ctrl + Alt + A
Autosizing current column width

Table editor: ERT editor
Ctrl + Alt + D
Insert current date ("Date" column)
Shift + Enter
Go to ERM variable


"New Document" dialogue
Icon:
btn06
Hotkey:
Ctrl+N
View:
new document
Description:


Editor window


"Add tag" & "Add declaration" dialogs


Set path to ERM help


Set path to ERM help (HTML)


"Settings" dialogue
Icon:
btn07
Hotkey:
Ctrl+Alt+P
View (pic. 1):
settings - display
Description:

View (pic. 2):
settings - service
Description:

View (pic. 3):
settings - fast insert list
Description:


Services


"About document" service
Icon:
btn05
Hotkey:
Ctrl+Alt+I
View:
about document
Description:


"Edit document information" service
Icon:
btn11
Hotkey:
Ctrl+Alt+E
View:
edit document information
Description:


"Analyzer" servise
Icon:
btn01
Hotkey:
Ctrl+Alt+V
View:
analizer
Description:


"Syntax Browser" service
Icon:
btn09
Hotkey:
Ctrl+Alt+S
View:
sintax browser
Description:


"Go To..." service
Icon:
btn12
Hotkey:
Ctrl+Alt+G
View:
go to
Description:


"Clipboard manager" service
Icon:
btn02
Hotkey:
Ctrl+Alt+C
View:
clipboard manager
Description:


"Select "Fast Insert List"" dialogue
Icon:
btn04
Hotkey:
Ctrl+Alt+Ins
View:
select fast insert list
Description:


"Fast Insert List" service
Hotkey:
Ins
View (example):
example2-1
Description:


"Code completion" service
Hotkey:
Ctrl+Space
View (examples):
code completion 1 pic. 1
code completion 2 pic.2
Description:


"Tools"


"Text resource manager" tool
Icon:
btn10
Hotkey:
F7
View:
text resource manager
Description:


"ERTfication setup" dialogue


"ERM file converter" tool
Icon:
btn03
Hotkey:
F8
View:
erm file converter
Description:


"Check syntax" tool
Icon:
btn13
Hotkey:
F9
View:

Description:


Tools setup
Hotkey:
Ctrl+Alt+T
View:
tools setup
Description:


ERM scripter's tags


Contacts
"New Life of Heroes" in WWW:
http://www.strategyplanet.com/homm/wog/

Mail to "New Life of Heroes" team:
h3nl@narod.ru
zvs@mail.ru

Mail to "ERM Scripter" author:
Alexander Trifonov <craghack@bk.ru>

New version of ERM Scripter:
http://heroes.obninsk.ru/download/erm_s.zip
http://heroes.diaspora.ru/hmm3/addon/public/erm_s.zip